Referrals
Retrieves the current users invited by a referral and the ones from the last time they were fetched, along with reward images containing the tier and URL information. This allows comparing the previously seen data with the current one. This endpoint requires Signed Fetch authentication.
Signed Fetch authentication. See ADR-44 for more details about the authentication mechanism.
Referral statistics found
Current total number of users invited by the referral
Total number of invited users recorded in the previous fetch
Images url for each tier reached
Invalid request
Unauthorized - Signed Fetch required
Internal server error
GET /v1/referral-progress HTTP/1.1
Host: social-api.decentraland.org
Authorization: YOUR_API_KEY
Accept: */*
{
"invitedUsersAccepted": 1,
"invitedUsersAcceptedViewed": 1,
"rewardImages": [
{}
]
}Creates a referral relationship between a referrer and an invited user. This endpoint requires Signed Fetch authentication. The authenticated user becomes the "invited" user, and the referrer address is provided in the request body. This should be called when a user follows a referral link.
Signed Fetch authentication. See ADR-44 for more details about the authentication mechanism.
ETH address of the referrer
Referral progress created successfully
No content
Invalid request
Unauthorized - Signed Fetch required
Internal server error
POST /v1/referral-progress HTTP/1.1
Host: social-api.decentraland.org
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 19
{
"referrer": "text"
}No content
Updates the referral progress status to signed up for the authenticated user. This endpoint requires Signed Fetch authentication.
Signed Fetch authentication. See ADR-44 for more details about the authentication mechanism.
Referral status updated successfully
No content
Invalid request
Unauthorized - Signed Fetch required
Referral not found
Internal server error
PATCH /v1/referral-progress HTTP/1.1
Host: social-api.decentraland.org
Authorization: YOUR_API_KEY
Accept: */*
No content
Associates an email address with a referral for the authenticated user. This endpoint requires Signed Fetch authentication.
Signed Fetch authentication. See ADR-44 for more details about the authentication mechanism.
Email address to associate with the referral
Referral email added successfully
No content
Invalid request
Unauthorized - Signed Fetch required
Internal server error
POST /v1/referral-email HTTP/1.1
Host: social-api.decentraland.org
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 26
{
"email": "[email protected]"
}No content
Last updated